1.0

1.0

get /v1/account-quotas

Description

get account quota list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}